#include<bits/stdc++.h>
using namespace std;
bool kiemtra(int n)
{
    int i;
    if(n<=1){return false;}
    for(i=2;i<=sqrt(n);i++)
    {
        if(n%i==0){return false;}
    }
    return true;
}
	int main()
	{
	ifstream f1("TSNT.inp");
	ofstream f2("TSNT.out");
	int n;
	f1>>n;
	int a=2,tong=0;
	f2<<n<<"=";
	while ((a)==true)
	{tong=tong+a;
    if (n>=2)
	{if (n%a==0)
	{
		f2<<a<<"*"<<endl;
		n=n/a;
	}
		else a++;
		f2<<tong;
		}	
}
f1.close();
f2.close();
return 0;
}
